<?php


namespace App\Extended\Util;



use Hyperf\Context\Context;

class RequestDurationUtil {

    public static function duration(): int {
        $durationStart = Context::get(self::class, null);
        if (!$durationStart) {
            $durationStart = microtime(true);
            Context::set(self::class, $durationStart);
        }
        return intval((microtime(true) - $durationStart) * 1000);
    }
}