<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */
return [
    //Extended
    \SuperRhino\Utils\Redis\RedisFactoryInterface::class => \App\Extended\Redis\RedisFactory::class,
    \SuperRhino\Utils\Cache\MemoryCacheAdapterInterface::class => \SuperRhino\Utils\Cache\MemoryCacheHyperfAdapter::class,
    \SuperRhino\Utils\Logger\LoggerAdapter::class => \App\Extended\Logger\LoggerAdapter::class,
    \SuperRhino\Utils\Snowflake\SnowflakeGeneratorAdapter::class => \App\Extended\Snowflake\SnowflakeGeneratorAdapter::class,
    \SuperRhino\Utils\SubTable\DBManagerAdapterInterface::class => \App\Extended\SubTable\DBManagerAdapter::class,
    \SuperRhino\Utils\GuzzleClient\ClientFactoryInterface::class => \App\Extended\GuzzleClient\PoolClientFactory::class,
];
