<?php

declare(strict_types=1);

/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

use App\Infrastructure\DDD\HeaderInfo\DeviceMiddleware;

return [
    'http' => [
        // 数组内配置您的全局中间件，顺序根据该数组的顺序
        \App\Middleware\DurationTimeMiddleware::class,
        DeviceMiddleware::class,
        \App\Middleware\GlobalMiddleware::class,
        \App\Middleware\BaseAuthMiddleware::class,
        \Hyperf\Validation\Middleware\ValidationMiddleware::class,
    ],
];
