<?php


namespace App\Extended\Logger;

use App\Extended\Util\RequestSessionUtil;
use Monolog\LogRecord;
use Monolog\Processor\ProcessorInterface;

class SessionProcessor implements ProcessorInterface {

    public function __invoke(LogRecord $record) {
        $record->extra['session_id'] = RequestSessionUtil::generate();
        return $record;
    }

}