<?php


namespace App\Extended\Util;

use Hyperf\Context\Context;
use SuperRhino\Utils\Common\Str;

class RequestSessionUtil {

    public static function generate() {
        $sessionId = Context::get(self::class, null);
        if (!$sessionId) {
            $sessionId = Str::random();
            Context::set(self::class, $sessionId);
        }
        return $sessionId;
    }
}