<?php


namespace App\Middleware;


use App\Extended\Util\RequestDurationUtil;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;

class DurationTimeMiddleware implements MiddlewareInterface {

    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface {
        RequestDurationUtil::duration();
        return $handler->handle($request);
    }

}